[mythtv-users] warning/error while installing mythtv-light v34 on Raspberry PI OS

David Hampton mythtv at love2code.net
Fri Feb 23 14:02:44 UTC 2024


On Fri, 2024-02-23 at 08:43 -0500, James Abernathy wrote:
> I built mythtv-light and mythplugins-light for fixes/34 and posted
> the debs files on Orangedox.  However, I get a warning or error, not
> sure which, when I install the debs.
> 
> The code works on my RPI4 4GB as well as it normally does, which is
> not acceptable to me. But I wanted to get at least one version of
> fixes/34 posted for those who could not build it themselves.
> 
> The error at the end of the install is:
> 
> N: Download is performed unsandboxed as root as file
> '/home/jim/build/mythplugins-light_34.0-10-ga88dd47ba4-
> 0_arm64_bookworm.deb' couldn't be accessed by user '_apt'. -
> pkgAcquire::Run (13: Permission denied)
> 
> I'm not sure what it means. I get the same error for mythtv-light and
> mythplugins-light. Should I worry about it? I do have a complete
> backend/frontend combo working on the RPI4, so most things are
> working fine. 

According to google, installs are normally done by first switching to
the user id '_apt'. Since _apt doesn't have permission to read files in
your home directory, the install ran as the user root. The message is
harmless.  You could get rid of it by giving _apt access to your build
directory, or by copying the files to /tmp before installing them.

David



More information about the mythtv-users mailing list